incubator-npanday-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Lars Corneliussen // Zen" ...@lcorneliussen.de>
Subject AW: Can't compile a library
Date Mon, 07 Apr 2014 12:36:32 GMT
You need to configure the maven-compile-plugin as an extension:

http://incubator.apache.org/npanday/docs/1.5.0-incubating-SNAPSHOT/plugins/m
aven-compile-plugin/usage.html



-----Urspr√ľngliche Nachricht-----
Von: Eric Kolotyluk [mailto:eric.kolotyluk@gmail.com] 
Gesendet: Montag, 7. April 2014 02:32
An: npanday-users@incubator.apache.org
Betreff: Can't compile a library

When I use

<groupId>net.kolotyluk.windows.elevate</groupId>
<artifactId>elevate-common</artifactId>
<version>0.0.21-SNAPSHOT</version>
<packaging>library</packaging>

I get

D:\Users\Eric\Software\Project\Repositories\csharp-windows-elevate\elevate-c
ommon>mvn
test
[INFO] Scanning for projects...
[ERROR] The build could not read 1 project -> [Help 1] [ERROR]
[ERROR]   The project 
net.kolotyluk.windows.elevate:elevate-common:0.0.21-SNAPSHOT
(D:\Users\Eric\Software\Project\Repositories\csharp-windows-elevate\elevate-
common\pom.xml)
has 1 error
[ERROR]     Unknown packaging: library @ line 19, column 14
[ERROR]
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e
switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR]
[ERROR] For more information about the errors and possible solutions, please
read the following articles:
[ERROR] [Help 1]
http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException

I have also tried

<groupId>net.kolotyluk.windows.elevate</groupId>
<artifactId>elevate-common</artifactId>
<version>0.0.21-SNAPSHOT</version>
<packaging>dotnet-library</packaging>

but that does not work either.

How does one build a library with NPanday?

Cheers, Eric


Mime
View raw message